Subject: Re: GUC for temporarily disabling event triggers

From: Daniel Gustafsson <[email-masked]>
Date: Wed, 5 Apr 2023 20:43:07 +0200

> On 5 Apr 2023, at 16:30, Robert Haas <[email-masked]> wrote:
> 
> On Wed, Apr 5, 2023 at 4:57 AM Daniel Gustafsson <[email-masked]> wrote:
>>> - Being able to write a list of event triggers working would be much
>>> more interesting than just individual elements.
>>> - There may be an argument for negated patterns?  Say,
>>> a "!sql_drop,!ddl_command_start" would cause sql_drop and
>>> ddl_command_start to be disabled with all the others enabled, and one
>>> should not ne able to mix negated and non-negated patterns.
>> 
>> I'm not convinced that it's in our interest to offer a GUC to configure the
>> cluster by selectively turning off SQL features.  The ones we have for planner
>> tuning which is a different beast.  At the very least it should be in a thread
>> covering that topic, as it might be a bit hidden here.
> 
> But, isn't that exactly what you're proposing?

Yeah, but it didn't really strike me until after typing and sending that email.

> I mean if this was just event_triggers = on | off it would be exactly
> like row_security and as far as I'm concerned there would be nothing
> to debate.

Which is what v1-v3 did until I changed it based on review input, but I agree
with the reasoning here so will revert back (with some internal changes too).
Moving this to the next CF for another stab at it when the tree re-opens.

--
Daniel Gustafsson